# root(method=’anderson’)

scipy.optimize.root(fun, x0, args=(), method='hybr', jac=None, tol=None, callback=None, options=None)

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.root`

  Options:
    ——-
    nit int, optional

      Number of iterations to make. If omitted (default), make as many as required to meet tolerances.

    disp bool, optional

      Print status to stdout on every iteration.

    maxiter int, optional

      Maximum number of iterations to make. If more are needed to meet convergence, NoConvergence is raised.

    ftol float, optional

      Relative tolerance for the residual. If omitted, not used.

    fatol float, optional

      Absolute tolerance (in max-norm) for the residual. If omitted, default is 6e-6.

    xtol float, optional

      Relative minimum step size. If omitted, not used.

    xatol float, optional

      Absolute minimum step size, as determined from the Jacobian approximation. If the step size is smaller than this, optimization is terminated as successful. If omitted, not used.

    tol_norm function(vector) -> scalar, optional

      Norm to use in convergence check. Default is the maximum norm.

    line_search{None, ‘armijo’ (default), ‘wolfe’}, optional

      Which type of a line search to use to determine the step size in the direction given by the Jacobian approximation. Defaults to ‘armijo’.

    jac_options dict, optional

      Options for the respective Jacobian approximation.

      alphafloat, optional

        Initial guess for the Jacobian is (-1/alpha).

      Mfloat, optional

        Number of previous vectors to retain. Defaults to 5.

      w0float, optional

        Regularization parameter for numerical stability. Compared to unity, good values of the order of 0.01.